﻿@model JavnaNabava.Model.SifDjelatnostTvrtke

@{
    ViewData["Title"] = "AddDjelatnost";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Dodaj djelatnost</h1>

<p>
    <small>
        Stranica za dodavanje djelatnosti tvrtke. Polje naziv je obavezno.
        Nakon pritiska na gumb dodaj, korisnik se preusmjerava na popis svih djelatnosti
        te dobiva prilkadnu poruku je li djelatnost uspješno dodana u bazu ili ne.
    </small>
</p>

<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="AddDjelatnost">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Naziv" class="control-label"></label>
                <input asp-for="Naziv" class="form-control" />
                <span asp-validation-for="Naziv" class="text-danger"></span>
            </div>
            <div class="form-group">
                <button asp-action="ProcessCreate" class="btn btn-primary" type="submit">Dodaj</button>
                <a asp-action="Index" class="btn btn-secondary">Odustani</a>
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Natrag na listu</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
